* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Inter', sans-serif;
    color: #111;
    background: #f7f7f2;
}

/* tekst */

h1 {
 color: #FFF;
    font-size: 104px;
    font-style: normal;
    font-weight: 200;
    line-height: normal;
    text-transform: uppercase;
}

h2 {
    color: #0212EE;
    text-align: center;
    font-size: 128px;
    font-style: normal;
    font-weight: 400;
    line-height: 128px;
}

h3{
    color: #323232;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

h4 {
    color: #B8B8B8;
    text-align: justify;
    font-size: 22px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
    text-transform: uppercase;
}

p {
   color: #323232;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
}


/* przewijanie strony */

html{
    scroll-behavior: smooth;
}


/* nawigacja */

.nav {
    position: absolute;
    top: 0;
    width: 100%;
    padding: 20px 100px;
    box-sizing: border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #fff;
    background: transparent;
    isolation: auto;
}

.nav a {
    color: #fff;
    background: transparent;
    text-decoration: none;
    font-size: 14px;
}

.logo img {
    height: 35px;
    width: auto;
    border: 1px solid #0212EE;
    border-radius: 20px; 
    padding: 2px 16px;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px) brightness(1.2);
    background: rgba(255, 255, 255, 0.15);  
    
}

header.nav nav a {
    display: inline-block; 
    font-size: 14;
    padding: 8px 16px;
    border: 1px solid #0212EE;
    border-radius: 20px; 
    text-decoration: none; 
    color: #0212EE;       
    background: rgba(255, 255, 255, 0.15);  
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1);
    margin: 0 8px;       
    transition: all 0.3s ease; 
    backdrop-filter: blur(10px) brightness(1.2);
}

header.nav {
    position: fixed; 
    top: 0;  
    left: 0; 
    width: 100%;      
    z-index: 1000;    /* aby było nad resztą strony */
    padding: 10px 100px; 
    box-sizing: border-box; 
    background: transparent;
    background: transparent !important;
    background-color: transparent;
    isolation: auto;
}

header.nav nav a:hover {
    background-color: #0212EE;
    color: #fff;
    transform: translateY(-2px);
}


/* start */
.start {
    height: 100vh;
    background: url(../img/Vector.png) center/cover no-repeat;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    position: relative;
    overflow: hidden;
}

.start-video {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.start::before {
    content: "";
    position: absolute;
    inset: 0;
    background: linear-gradient(
        to bottom,
        rgba(0, 0, 255, 0) 0%,
        rgba(0,0,255,0) 50%,
        rgba(0,0,255,0.35) 75%,
        rgba(0,0,255,0.7) 100%
    );
    z-index: 2;
    pointer-events: none;;
}

.start-content {
    max-width: 600px;
    color: #fff;
    margin-top: 250px;
    margin-left: 100px;
    position: relative;
    z-index: 3;
}

.start p {
    color: #FFF;
    font-size: 16px;
    line-height: 1.6;
}

.start-content p {
font-size: 14px;
line-height: 1.6;
width: 550px;
}

.start-content h1 {
font-size: 83px;
font-weight: 100;
letter-spacing: 4px;
margin-bottom: 2px;
}


/* odtwarzacz audio */

.music-player {
    position: fixed;
    bottom: 30px;
    right: 30px;
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 10px 14px;
    border-radius: 30px;
    color: #fff;
    z-index: 999;
}

.music-player button {
    background: none;
    border: none;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
}

.music-player input[type="range"] {
    width: 120px;
}


/* o kraju */

.okraju {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 80px 0;
    gap: 40px;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

#okraju {
    background-image: url(../img/Component1.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#okraju .zawartosc {
 max-width: 1200px;
 margin: 0 auto;
 padding: 0 40px;
}

#okraju .logo-sekcji {
    margin-bottom: 30px;
    margin-top: 40px;
    width: 500px;
}

#okraju .kolumny {
    display: flex;
    gap: 40px;
    align-items: flex-start;
}

#okraju .tekst {
    flex: 1;
    max-width: 60ch;
    margin-bottom: 250px;
}

#okraju .mapa {
    flex: 1;
    margin-top: -100px;
    margin-bottom: 200px;
}

#okraju .mapa img {
    width: 100%;
    display: block;
}


/* atrakcje */

.atrakcje {
    position: relative;
    background: #f6f4ed;
    padding: 160px 0 0;
    overflow: hidden;
}

.atrakcje-bg {
    position: absolute;
    inset: 0;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    pointer-events: none;
}

.atrakcje-bg img {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 1; /* SLOT NA ZDJĘCIE */
}

.atrakcje-bg span {
    font-size: 18vw;
    font-weight: 800;
    color: #c6281c;
    z-index: 2;
    letter-spacing: 0.05em;
}

/* karty w atrakcjach */
.atrakcje-cards {
    position: relative;
    display: flex;
    justify-content: center;
    gap: 80px;
    z-index: 3;
}

.card {
    text-align: center;
    width: 260px;
    order: 10px solid #0212EE;
    margin-top: 80px;
}

.card img {
    width: 100%;
    height: 340px;
    object-fit: cover;
    border-radius: 27px;
    border: 1.5px solid #0212EE;
    border-radius: 27px;
}

.card h3 {
    margin-top: 16px;
    font-weight: 600;
    color: #333;
}

.card.center {
    transform: translateY(-40px);
}

.card button {
    display: inline-block; 
    padding: 8px 16px;
    border: 1px solid #0212EE;
    border-radius: 20px; 
    text-decoration: none; 
    color: #0212EE;           
    margin: 0 8px;       
    margin-top: 14px;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s ease; 
    font-size: 14px;
}

.card button:hover {
    background-color: #0212EE;
    color: #fff;
    transform: translateY(-2px);
}

/* pasek przesuwający z reklamą */
.ticker {
    margin-top: 60px;
    background: linear-gradient(90deg, #c6281c, #3a0ca3);
    overflow: hidden;
    white-space: nowrap;
    position: relative;
    z-index: 4;
}

.ticker-track {
    display: flex;
    width: max-content;
    padding: 16px 0;
    font-weight: 700;
    color: #fff;
    animation: ticker 18s linear infinite;
}

@keyframes ticker {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}
.ticker-track span {
    padding-right: 5px;
}


/* newsletter */

.newsletter {
    padding: 80px 0;
    background: #fff;
}

.newsletter-inner {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 70px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 120px;
    align-items: center;
}

.newsletter-form {
    border: 1.5px solid #0212EE;
    border-radius: 24px;
    padding-bottom: 20px;
    padding-top: 30px;
    padding-left: 30px;
    padding-right: 30px;
}

.newsletter-form form {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.newsletter-form label {
    font-size: 14px;
    font-weight: 500;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.newsletter-form input {
    height: 44px;
    border-radius: 22px;
    border: none;
    background: #eee;
    padding: 0 20px;
    font-size: 14px;
}

.newsletter-form button {
    
    padding: 8px 16px;
    border: 1px solid #0212EE;
    text-decoration: none; 
    color: #0212EE;           
    margin: 0 8px;       
    margin-top: 14px;
    background: transparent;
    cursor: pointer;
    transition: all 0.3s ease; 
    align-self: center;
    margin-top: 10px;
    border-radius: 20px;
    font-size: 14px;
}

.newsletter-form button:hover {
    background-color: #0212EE;
    color: #fff;
    transform: translateY(-2px);
}

.newsletter h3 {
    margin-top: 5px;
    margin-bottom: 5px;
    text-align: center;
}

.newsletter-text .small {
    font-size: 12px;
    color: #555;
    max-width: 420px;
    text-align: center;
    margin: 0 auto;;
}

.newsletter .logo-sekcji {
    width: 400px;
    height: auto;
    display: block;
    margin: 0 auto;
}

/* galeria */

.simple-slider {
    position: relative;
    max-width: 1000px;
    margin: 1px auto;
    padding-top: 100px;
    padding-bottom: 200px;
}

.slider {
    position: relative;
    width: 100%;
    aspect-ratio: 16 / 9;
    overflow: hidden;
    border-radius: 27px;
    border: 1.5px solid #0212EE;
    background: #000;
}

.slide {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    object-fit: cover; 
    opacity: 0;
    transition: opacity 0.6s ease;
}

.slide.active {
    opacity: 1;
}

/* strzałki galerii */
.slider-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    font-size: 48px;
    color: #0212EE;
    cursor: pointer;
    z-index: 10;
}

.prev { left: -60px; }
.next { right: -60px; }


/* footer */

.footer {
  background-color: #0212EE;
  padding: 60px 40px 30px;
  font-family: Arial, sans-serif;
}

.footer-container {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  gap: 40px;
  flex-wrap: wrap;
}

.footer-col {
  min-width: 200px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.footer h3 {
  margin-bottom: 20px;
  color: #FFF;
}

.footer ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer ul li {
  margin-bottom: 10px;
}

.footer a {
  text-decoration: none;
  color: #ffffff;
  font-size: 15px;
  transition: all 0.3s ease; 
}

.footer a:hover {
  color: #ff2f2f;
}

.social-icons {
  display: flex;
  gap: 15px;
}

.social-icons img {
  width: 32px;
  height: 32px;
}

.footer-bottom {
  margin-top: 50px;
  text-align: center;
  font-size: 14px;
  color: #5a8dfa;
}




/* końcowe szlify - układanie się strony podczas zmniejszania okna */
@media (max-width: 1024px) {
    body {
        overflow-x: hidden;
    }
}

/* nawigacja szlify */
@media (max-width: 1024px) {
    header.nav {
        padding: 16px 24px;
    }

    header.nav nav a {
        padding: 6px 12px;
        font-size: 13px;
    }
}

/* start szlify */
@media (max-width: 900px) {
    .start-content {
        margin: 0;
        padding: 0 24px;
        max-width: 100%;
        text-align: center;
    }

    .start-content h1 {
        font-size: 56px;
    }

    .start-content p {
        width: 100%;
        margin: 0 auto;
    }
}

/* o kraju szlify */
@media (max-width: 900px) {
    #okraju .kolumny {
        flex-direction: column;
        gap: 40px;
    }

    #okraju .tekst,
    #okraju .mapa {
        margin: 0;
        max-width: 100%;
    }

    #okraju .logo-sekcji {
        width: 100%;
        max-width: 360px;
        margin: 0 auto 40px;
        display: block;
    }
}

/* atrakcje szlify */
@media (max-width: 900px) {
    .atrakcje-cards {
        flex-direction: column;
        align-items: center;
        gap: 60px;
    }

    .card {
        margin-top: 0;
    }

    .card.center {
        transform: none;
    }
}

/* slider galeria szlify */
@media (max-width: 900px) {
    .simple-slider {
        max-width: 100%;
        padding: 0 16px;
    }

    .slider-btn {
        font-size: 36px;
    }

    .prev { left: -40px; }
    .next { right: -40px; }
}

/* newsletter szlify */
@media (max-width: 900px) {
    .newsletter-inner {
        grid-template-columns: 1fr;
        gap: 60px;
        text-align: center;
    }

    .newsletter-text .small {
        margin: 0 auto;
    }
}

/* footer szlify */
@media (max-width: 900px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
}

/* projekt był realizowany z pomocą sztucznej inteligencji
 narzędzia: ChatGPT */